#!/usr/bin/env python
import os
import logging
from p2.reporter.access import AccessReport

logging.basicConfig(
#         filename='p2.reporter.access.log',
#         filemode='w',
        format='%(asctime)s %(message)s',
        level=logging.DEBUG
        )

env_vars = {
    'P2_STORE_URL': os.environ.get("P2_STORE_URL", "not set"),
    'CHAOSTOOLKIT_IN_POD': os.environ.get("CHAOSTOOLKIT_IN_POD", "not set"),
    'KUBERNETES_SERVICE_HOST': os.environ.get("KUBERNETES_SERVICE_HOST", "not set"),
    'HTTP_PROXY': os.environ.get("HTTP_PROXY", "not set"),
    'KUBERNETES_CONTEXT': os.environ.get("KUBERNETES_CONTEXT", "not set")
}

log=logging.getLogger(__name__)
log.debug("Env Vars:\n{}".format(env_vars))

try:
    ar = AccessReport()
    ar.store_reports()
except Exception as e:
    log.error("Error: {}".format(e))
